gstreamermm: Gst::QuerySeeking Class Reference

gstreamermm 1.8.0

Public Member Functions | Static Public Member Functions | List of all members
Gst::QuerySeeking Class Reference

A seeking query object. More...

`#include <gstreamermm/query.h>`

Inheritance diagram for Gst::QuerySeeking:
[legend]

## Public Member Functions
void | set (Format format, bool seekable, gint64 segment_start, gint64 segment_end)
| Set the seeking query result fields in query. More...
void | parse (Format& format, bool& seekable, gint64& segment_start, gint64& segment_end) const
| Parse a seeking query, writing the format into format, and other results into the passed parameters. More...
Format | parse_format () const
| Parse a seeking query, returning the format. More...
bool | parse_seekable () const
| Parse a seeking query, returning the seekable status. More...
gint64 | parse_start () const
| Parse a seeking query, returning the segment start value. More...
gint64 | parse_end () const
| Parse a seeking query, returning the segment end value. More...
Public Member Functions inherited from Gst::Query
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstQuery* | gobj ()
| Provides access to the underlying C instance. More...
const GstQuery* | gobj () const
| Provides access to the underlying C instance. More...
GstQuery* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| Query ()=delete
| Query (const Query&)=delete
Query& | operator= (const Query&)=delete
Glib::RefPtr< Gst::Query > | create_writable ()
| Makes a writable query from the given query. More...
Gst::Structure | get_structure () const
| Get the structure of a query. More...
QueryType | get_query_type () const
| Get the Gst::QueryType of the query. More...
Glib::RefPtr< Gst::Query > | copy ()
| Copies the given query using the copy function of the parent Gst::Structure. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| MiniObject ()=delete
| MiniObject (const MiniObject&)=delete
MiniObject& | operator= (const MiniObject&)=delete
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Static Public Member Functions
static Glib::RefPtr< Gst::QuerySeeking > | create (Format format)
| Constructs a new query object for querying seeking properties of the stream. More...
Static Public Member Functions inherited from Gst::Query
static Glib::RefPtr< Gst::Query > | create_buffering (Gst::Format format)
| Constructs a new query object for querying the buffering status of a stream. More...
static Glib::RefPtr< Gst::Query > | create_allocation (Glib::RefPtr< Gst::Caps > caps, bool need_pool)
| Constructs a new query object for querying the allocation properties. More...
static Glib::RefPtr< Gst::Query > | create_uri ()
| Constructs a new query URI query object. More...
static Glib::RefPtr< Gst::Query > | create_scheduling ()
| Constructs a new query object for querying the scheduling properties. More...
static Glib::RefPtr< Gst::Query > | create_drain ()
| Constructs a new query object for querying the drain state. More...
static Glib::RefPtr< Gst::Query > | create_custom (Gst::QueryType type, const Gst::Structure& structure)
| Constructs a new custom query object. More...
static Glib::RefPtr< Gst::Query > | create_convert (Gst::Format format, gint64 value, Gst::Format dest_format)
| Constructs a new convert query object. More...
static Glib::RefPtr< Gst::Query > | create_position (Gst::Format format)
| Constructs a new query stream position query object. More...
static Glib::RefPtr< Gst::Query > | create_duration (Gst::Format format)
| Constructs a new stream duration query object to query in the given format. More...
static Glib::RefPtr< Gst::Query > | create_latency ()
| Constructs a new latency query object. More...
static Glib::RefPtr< Gst::Query > | create_seeking (Gst::Format format)
| Constructs a new query object for querying seeking properties of the stream. More...
static Glib::RefPtr< Gst::Query > | create_formats ()
| Constructs a new query object for querying formats of the stream. More...
static Glib::RefPtr< Gst::Query > | create_segment (Gst::Format format)
| Constructs a new segment query object. More...
static Glib::RefPtr< Gst::Query > | create_caps (Glib::RefPtr< Gst::Caps > filter)
| Constructs a new query object for querying the caps. More...
static Glib::RefPtr< Gst::Query > | create_accept_caps (Glib::RefPtr< Gst::Caps > filter)
| Constructs a new query object for querying if filter are accepted. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer
Protected Member Functions inherited from Gst::Query
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
void | operator delete (void*, std::size_t)
Static Protected Member Functions inherited from Gst::Query
template<class QueryType >
static Glib::RefPtr< QueryType > | wrap (GstQuery* query, bool take_copy=false)
Related Functions inherited from Gst::Query
Glib::RefPtr< Gst::Query > | wrap (GstQuery* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A seeking query object.

See create() for more details.

## Member Function Documentation

## § create()

static Glib::RefPtr<Gst::QuerySeeking> Gst::QuerySeeking::create | ( | Format | format | ) |
| static

Constructs a new query object for querying seeking properties of the stream.

Parameters

  format | The default Gst::Format for the new query.

Returns
  The new Gst::QuerySeeking.

## § parse()

void Gst::QuerySeeking::parse | ( | Format& | format,
|  | bool & | seekable,
|  | gint64 & | segment_start,
|  | gint64 & | segment_end
| ) |  | const

Parse a seeking query, writing the format into format, and other results into the passed parameters.

Use the other parse() methods for parsing individual values.

Parameters

  format | The storage location for the foramt.
  seekable | The storage location for the seekable flag.
  segment_start | The storage location for the segment start value.
  segment_end | The storage location for the segment end.

## § parse_end()

gint64 Gst::QuerySeeking::parse_end | ( |  | ) | const

Parse a seeking query, returning the segment end value.

Returns
  The segment end.

## § parse_format()

Format Gst::QuerySeeking::parse_format | ( |  | ) | const

Parse a seeking query, returning the format.

Returns
  The format.

## § parse_seekable()

bool Gst::QuerySeeking::parse_seekable | ( |  | ) | const

Parse a seeking query, returning the seekable status.

Returns
  The seekable flag.

## § parse_start()

gint64 Gst::QuerySeeking::parse_start | ( |  | ) | const

Parse a seeking query, returning the segment start value.

Returns
  The segment start.

## § set()

void Gst::QuerySeeking::set | ( | Format | format,
|  | bool | seekable,
|  | gint64 | segment_start,
|  | gint64 | segment_end
| ) |  |

Set the seeking query result fields in query.

Parameters

  format | The format to set for the segment_start and segment_end values.
  seekable | The seekable flag to set.
  segment_start | The segment_start to set.
  segment_end | The segment_end to set.